ID CVE-2005-1267
Summary The bgp_update_print function in tcpdump 3.x does not properly handle a -1 return value from the decode_prefix4 function, which allows remote attackers to cause a denial of service (infinite loop) via a crafted BGP packet.
References
Vulnerable Configurations
  • cpe:2.3:a:lbl:tcpdump:3.4:*:*:*:*:*:*:*
    cpe:2.3:a:lbl:tcpdump:3.4:*:*:*:*:*:*:*
  • cpe:2.3:a:lbl:tcpdump:3.4a6:*:*:*:*:*:*:*
    cpe:2.3:a:lbl:tcpdump:3.4a6:*:*:*:*:*:*:*
  • cpe:2.3:a:lbl:tcpdump:3.5:*:*:*:*:*:*:*
    cpe:2.3:a:lbl:tcpdump:3.5:*:*:*:*:*:*:*
  • cpe:2.3:a:lbl:tcpdump:3.5.2:*:*:*:*:*:*:*
    cpe:2.3:a:lbl:tcpdump:3.5.2:*:*:*:*:*:*:*
  • cpe:2.3:a:lbl:tcpdump:3.5_alpha:*:*:*:*:*:*:*
    cpe:2.3:a:lbl:tcpdump:3.5_alpha:*:*:*:*:*:*:*
  • cpe:2.3:a:lbl:tcpdump:3.6.2:*:*:*:*:*:*:*
    cpe:2.3:a:lbl:tcpdump:3.6.2:*:*:*:*:*:*:*
  • cpe:2.3:a:lbl:tcpdump:3.6.3:*:*:*:*:*:*:*
    cpe:2.3:a:lbl:tcpdump:3.6.3:*:*:*:*:*:*:*
  • cpe:2.3:a:lbl:tcpdump:3.7:*:*:*:*:*:*:*
    cpe:2.3:a:lbl:tcpdump:3.7:*:*:*:*:*:*:*
  • cpe:2.3:a:lbl:tcpdump:3.7.1:*:*:*:*:*:*:*
    cpe:2.3:a:lbl:tcpdump:3.7.1:*:*:*:*:*:*:*
  • cpe:2.3:a:lbl:tcpdump:3.7.2:*:*:*:*:*:*:*
    cpe:2.3:a:lbl:tcpdump:3.7.2:*:*:*:*:*:*:*
  • cpe:2.3:a:lbl:tcpdump:3.8.1:*:*:*:*:*:*:*
    cpe:2.3:a:lbl:tcpdump:3.8.1:*:*:*:*:*:*:*
  • cpe:2.3:a:lbl:tcpdump:3.8.2:*:*:*:*:*:*:*
    cpe:2.3:a:lbl:tcpdump:3.8.2:*:*:*:*:*:*:*
  • cpe:2.3:a:lbl:tcpdump:3.8.3:*:*:*:*:*:*:*
    cpe:2.3:a:lbl:tcpdump:3.8.3:*:*:*:*:*:*:*
  • cpe:2.3:a:lbl:tcpdump:3.9:*:*:*:*:*:*:*
    cpe:2.3:a:lbl:tcpdump:3.9:*:*:*:*:*:*:*
  • cpe:2.3:a:lbl:tcpdump:3.9.1:*:*:*:*:*:*:*
    cpe:2.3:a:lbl:tcpdump:3.9.1:*:*:*:*:*:*:*
  • cpe:2.3:o:gentoo:linux:*:*:*:*:*:*:*:*
    cpe:2.3:o:gentoo:linux:*:*:*:*:*:*:*:*
  • cpe:2.3:o:mandrakesoft:mandrake_linux:10.1:*:*:*:*:*:*:*
    cpe:2.3:o:mandrakesoft:mandrake_linux:10.1:*:*:*:*:*:*:*
  • cpe:2.3:o:mandrakesoft:mandrake_linux:10.1:*:x86_64:*:*:*:*:*
    cpe:2.3:o:mandrakesoft:mandrake_linux:10.1:*:x86_64:*:*:*:*:*
  • cpe:2.3:o:mandrakesoft:mandrake_linux:10.2:*:*:*:*:*:*:*
    cpe:2.3:o:mandrakesoft:mandrake_linux:10.2:*:*:*:*:*:*:*
  • cpe:2.3:o:mandrakesoft:mandrake_linux:10.2:*:x86_64:*:*:*:*:*
    cpe:2.3:o:mandrakesoft:mandrake_linux:10.2:*:x86_64:*:*:*:*:*
  • cpe:2.3:o:redhat:fedora_core:core_3.0:*:*:*:*:*:*:*
    cpe:2.3:o:redhat:fedora_core:core_3.0:*:*:*:*:*:*:*
  • cpe:2.3:o:redhat:fedora_core:core_4.0:*:*:*:*:*:*:*
    cpe:2.3:o:redhat:fedora_core:core_4.0:*:*:*:*:*:*:*
  • cpe:2.3:o:trustix:secure_linux:2.0:*:*:*:*:*:*:*
    cpe:2.3:o:trustix:secure_linux:2.0:*:*:*:*:*:*:*
  • cpe:2.3:o:trustix:secure_linux:2.1:*:*:*:*:*:*:*
    cpe:2.3:o:trustix:secure_linux:2.1:*:*:*:*:*:*:*
  • cpe:2.3:o:trustix:secure_linux:2.2:*:*:*:*:*:*:*
    cpe:2.3:o:trustix:secure_linux:2.2:*:*:*:*:*:*:*
CVSS
Base: 5.0 (as of 19-10-2018 - 15:31)
Impact:
Exploitability:
CWE NVD-CWE-Other
CAPEC
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
NONE NONE PARTIAL
cvss-vector via4 AV:N/AC:L/Au:N/C:N/I:N/A:P
oval via4
accepted 2013-04-29T04:11:51.588-04:00
class vulnerability
contributors
  • name Aharon Chernin
    organization SCAP.com, LLC
  • name Dragos Prisaca
    organization G2, Inc.
definition_extensions
  • comment The operating system installed on the system is Red Hat Enterprise Linux 4
    oval oval:org.mitre.oval:def:11831
  • comment CentOS Linux 4.x
    oval oval:org.mitre.oval:def:16636
  • comment Oracle Linux 4.x
    oval oval:org.mitre.oval:def:15990
description The bgp_update_print function in tcpdump 3.x does not properly handle a -1 return value from the decode_prefix4 function, which allows remote attackers to cause a denial of service (infinite loop) via a crafted BGP packet.
family unix
id oval:org.mitre.oval:def:11148
status accepted
submitted 2010-07-09T03:56:16-04:00
title The bgp_update_print function in tcpdump 3.x does not properly handle a -1 return value from the decode_prefix4 function, which allows remote attackers to cause a denial of service (infinite loop) via a crafted BGP packet.
version 23
redhat via4
advisories
rhsa
id RHSA-2005:505
refmap via4
bid 13906
debian DSA-854
fedora
  • FEDORA-2005-406
  • FLSA:156139
misc https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=159208
secunia
  • 15634
  • 17118
trustix 2005-0028
Last major update 19-10-2018 - 15:31
Published 10-06-2005 - 04:00
Back to Top